local f = CreateFrame("Frame")
SLASH_ENDLESSINNERVATE1 = "/endlessinnervate"
f:RegisterEvent("CHAT_MSG_ADDON")
f:RegisterEvent("PLAYER_LOGIN")
RegisterAddonMessagePrefix("ENDLESS_INN")
local popup = CreateFrame("Frame")
popup:SetWidth(100)
popup:SetHeight(50)
popup:ClearAllPoints()
popup:SetPoint("CENTER")
popup:SetMovable(true)
popup:EnableMouse(true)
popup:RegisterForDrag("LeftButton")
popup:SetFrameLevel(3)
popup:SetScript("OnDragStart", popup.StartMoving)
popup:SetScript("OnDragStop", function(self)
	local point, relativeTo, relativePoint, xOffset, yOffset = self:GetPoint(1)
	EnRT_InnervatePosition = {}
	EnRT_InnervatePosition.point = point
	EnRT_InnervatePosition.relativeTo = relativeTo
	EnRT_InnervatePosition.relativePoint = relativePoint
	EnRT_InnervatePosition.xOffset = xOffset
	EnRT_InnervatePosition.yOffset = yOffset
	self:StopMovingOrSizing()
end)
popup:SetBackdropColor(1, 1, 1, 1)
popup:Hide()
local function handler(msg, editbox)
	local arg = string.lower(msg)
	if arg ~= nil and arg ~= "" and UnitIsConnected(arg) and EnRT_InnervateEnabled then
		SendAddonMessage("ENDLESS_INN", "", "WHISPER", arg)
	end
end
local text = popup:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
text:SetFont("Fonts\\FRIZQT__.TTF", 40)
text:SetPoint("CENTER")
SlashCmdList["ENDLESSINNERVATE"] = handler
f:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_LOGIN" then
		if EnRT_InnervateEnabled == nil then EnRT_InnervateEnabled = true end
		if EnRT_InnervatePosition ~= nil then
			popup:ClearAllPoints()
			popup:SetPoint(EnRT_InnervatePosition.point, EnRT_InnervatePosition.relativeTo, EnRT_InnervatePosition.relativePoint, EnRT_InnervatePosition.xOffset, EnRT_InnervatePosition.yOffset)
		end
	end
	if EnRT_InnervateEnabled then
		if event == "CHAT_MSG_ADDON" then
			local prefix, msg, channel, sender = ...
			sender = Ambiguate(sender, "short")
			if prefix == "ENDLESS_INN" then
				text:SetText("INNERVATE ON " .. sender)
				popup:Show()
				C_Timer.After(5, function() 
					popup:Hide()
				end)
			end
		end
	end
end)